IPSW-DOWNLOAD-MACOS(1)

NAME
ipsw-download-macos - Download macOS installers

SYNOPSIS
ipsw download macos [flags]

DESCRIPTION
Download macOS installers

OPTIONS
-a, --assistant[=false]
    Only download the InstallAssistant.pkg

-b, --build=""
    iOS BuildID (i.e. 16F203)

-y, --confirm[=false]
    do not prompt user for confirmation

-h, --help[=false]
    help for macos

--insecure[=false]
    do not verify ssl certs

--latest[=false]
    Download latest macOS installer

-l, --list[=false]
    Show latest macOS installers

--proxy=""
    HTTP/HTTPS proxy

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

-v, --version=""
    iOS Version (i.e. 12.3.1)

-w, --work-dir=""
    macOS installer creator working directory

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # List available macOS installers
    ❯ ipsw download macos --list
    # Download latest macOS installer
    ❯ ipsw download macos --latest
    # Download specific macOS version
    ❯ ipsw download macos --version 14.0
    # Download only InstallAssistant.pkg
    ❯ ipsw download macos --version 14.0 --assistant

SEE ALSO
ipsw-download(1)

HISTORY
25-Nov-2025 Auto generated by spf13/cobra